/*------------------------------------------------------------------------- 
File name   : tb_e_uart_tx.e
Title       : uart eVC cell structure
Project     : uart eVC
Developers  : Pinhas Krengel http://bknpk.no-ip.biz/my_web/index.html
Created     : Dec 2011
Description : This file is the environemnt unit of the UART TX.
Notes       : 
--------------------------------------------------------------------------- 
==== This source file may be used and distributed without ====
==== restriction provided that this copyright statement is not ====
==== removed from the file and that any derivative work contains ====
==== the original copyright notice and the associated disclaimer.====
==== ====
==== THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY ====
==== EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED ====
==== TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS ====
==== FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR ====
==== OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, ====
==== INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ====
==== (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE ====
==== GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR ====
==== BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF ====
==== LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT ====
==== (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT ====
==== OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE ====
==== POSSIBILITY OF SUCH DAMAGE. ====
-------------------------------------------------------------------------*/ 

<'

--logical name for the eVC instance.
extend uart_tx_env_name_t : [UART_TX_U];

-- Instantiate the eVC under sys.
extend sys {
  uart_tx_evc : UART_TX_U uart_tx_env_u is instance;
  setup() is also {
    set_config(print,scale,ps);
    --Error: Specman run reached the tick_max configuration limit (10000)
    set_config(run, tick_max, 100000);
  --set_config(run, tick_max, UNDEF);
  };
};

extend UART_TX_U uart_tx_env_u {
  keep hdl_path() == "tx_tb"; --name of the VHDL entity
  keep agent.sig.clk_p.hdl_path() == "clk";
  keep agent.sig.rst_p.hdl_path() == "reset";
  keep agent.sig.txd.hdl_path()   == "tx_out";
  keep agent.sig.load.hdl_path()  == "load";
  keep agent.sig.d_in.hdl_path()  == "d_in";
};--extend ICMP_U uart_tx_env_u


'>


